Subject: bug#61726: [PATCH] Eglot: Support positionEncoding capability

From: Felician Nemeth <[email-masked]>
Date: Thu, 23 Feb 2023 18:01:35 +0100

Augusto Stoffel <[email-masked]> writes:

> Tags: patch
>
> There is a new LSP capability allowing the server and client to agree on
> a way to count character offsets.  What do you think fo the attached
> patch?

It closes https://github.com/joaotavora/eglot/pull/916, hooray!

I think the patch has a small bug.  With it, Eglot always negotiate the
encoding with the server, but when the user sets
eglot-current-column-function or eglot-move-to-column-function, the
result of the negotiation is ignored, which might confuse the server.

(In the long run, it might make sense to let the list of the offered
encodings configurable.)

Thanks.